Skip to main content
PATCH
/
v0
/
accounts
/
{account_id}
Update account by ID
curl --request PATCH \
  --url https://api.tryarchitect.com/v0/accounts/{account_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>"
}
'
{
  "accountId": "<string>",
  "domain": "<string>",
  "name": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "latestActivityAt": "<string>",
  "linkedPersons": [
    {
      "personId": "<string>",
      "name": "<string>",
      "email": "<string>",
      "domain": "<string>",
      "slug": "<string>",
      "phoneNumber": "<string>",
      "linkedinProfileUrl": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

account_id
string
required

account_id parameter

Body

application/json
name
string
required

New account name

Required string length: 1 - 255

Response

Successful operation

accountId
string
required
Minimum string length: 1
Pattern: ^account_[a-z0-9]{26}$
domain
string
required

Canonical account domain

Minimum string length: 1
name
string | null
required
Required string length: 1 - 255
createdAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
updatedAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
latestActivityAt
string | null
required
Pattern: ^\+[1-9]\d{1,14}$
linkedPersons
object[]
required